org.eclnt.jsfserver.elements.componentnodes

## Class UI5M_OBJECTHEADERNode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.UI5M_OBJECTHEADERNode

- All Implemented Interfaces:
    java.io.Serializable

      public class UI5M_OBJECTHEADERNode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UI5M_OBJECTHEADERNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `UI5M_OBJECTHEADERNode` | `bindActionListener(IActionListenerDelegation value)`
    `UI5M_OBJECTHEADERNode` | `bindAdapterbinding(IDynamicContentBindingObject value)`
    `UI5M_OBJECTHEADERNode` | `bindBackgrounddesign(IDynamicContentBindingObject value)`
    `UI5M_OBJECTHEADERNode` | `bindComment(IDynamicContentBindingObject value)`
    `UI5M_OBJECTHEADERNode` | `bindCondensed(IDynamicContentBindingObject value)`
    `UI5M_OBJECTHEADERNode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `UI5M_OBJECTHEADERNode` | `bindIcon(IDynamicContentBindingObject value)`
    `UI5M_OBJECTHEADERNode` | `bindIconactive(IDynamicContentBindingObject value)`
    `UI5M_OBJECTHEADERNode` | `bindIcondensityaware(IDynamicContentBindingObject value)`
    `UI5M_OBJECTHEADERNode` | `bindIntro(IDynamicContentBindingObject value)`
    `UI5M_OBJECTHEADERNode` | `bindIntroactive(IDynamicContentBindingObject value)`
    `UI5M_OBJECTHEADERNode` | `bindLayoutdata(IDynamicContentBindingObject value)`
    `UI5M_OBJECTHEADERNode` | `bindMarkfavorite(IDynamicContentBindingObject value)`
    `UI5M_OBJECTHEADERNode` | `bindMarkflagged(IDynamicContentBindingObject value)`
    `UI5M_OBJECTHEADERNode` | `bindNumber(IDynamicContentBindingObject value)`
    `UI5M_OBJECTHEADERNode` | `bindNumberstate(IDynamicContentBindingObject value)`
    `UI5M_OBJECTHEADERNode` | `bindNumberunit(IDynamicContentBindingObject value)`
    `UI5M_OBJECTHEADERNode` | `bindRendered(IDynamicContentBindingObject value)`
    `UI5M_OBJECTHEADERNode` | `bindResponsive(IDynamicContentBindingObject value)`
    `UI5M_OBJECTHEADERNode` | `bindShowmarkers(IDynamicContentBindingObject value)`
    `UI5M_OBJECTHEADERNode` | `bindShowtitleselector(IDynamicContentBindingObject value)`
    `UI5M_OBJECTHEADERNode` | `bindStyleseq(IDynamicContentBindingObject value)`
    `UI5M_OBJECTHEADERNode` | `bindStylevariant(IDynamicContentBindingObject value)`
    `UI5M_OBJECTHEADERNode` | `bindTitle(IDynamicContentBindingObject value)`
    `UI5M_OBJECTHEADERNode` | `bindTitleactive(IDynamicContentBindingObject value)`
    `UI5M_OBJECTHEADERNode` | `setActionListener(java.lang.String value)`
    `UI5M_OBJECTHEADERNode` | `setAdapterbinding(java.lang.String value)`
    `UI5M_OBJECTHEADERNode` | `setAttributemacro(java.lang.String value)`
    `UI5M_OBJECTHEADERNode` | `setBackgrounddesign(java.lang.String value)`
    `UI5M_OBJECTHEADERNode` | `setComment(java.lang.String value)`
    `UI5M_OBJECTHEADERNode` | `setCondensed(boolean value)`
    `UI5M_OBJECTHEADERNode` | `setCondensed(java.lang.String value)`
    `UI5M_OBJECTHEADERNode` | `setConfiginfo(java.lang.String value)`
    `UI5M_OBJECTHEADERNode` | `setIcon(java.lang.String value)`
    `UI5M_OBJECTHEADERNode` | `setIconactive(boolean value)`
    `UI5M_OBJECTHEADERNode` | `setIconactive(java.lang.String value)`
    `UI5M_OBJECTHEADERNode` | `setIcondensityaware(java.lang.String value)`
    `UI5M_OBJECTHEADERNode` | `setId(java.lang.String value)`
    `UI5M_OBJECTHEADERNode` | `setIntro(java.lang.String value)`
    `UI5M_OBJECTHEADERNode` | `setIntroactive(boolean value)`
    `UI5M_OBJECTHEADERNode` | `setIntroactive(java.lang.String value)`
    `UI5M_OBJECTHEADERNode` | `setLayoutdata(java.lang.String value)`
    `UI5M_OBJECTHEADERNode` | `setMarkfavorite(boolean value)`
    `UI5M_OBJECTHEADERNode` | `setMarkfavorite(java.lang.String value)`
    `UI5M_OBJECTHEADERNode` | `setMarkflagged(boolean value)`
    `UI5M_OBJECTHEADERNode` | `setMarkflagged(java.lang.String value)`
    `UI5M_OBJECTHEADERNode` | `setNumber(java.lang.String value)`
    `UI5M_OBJECTHEADERNode` | `setNumberstate(java.lang.String value)`
    `UI5M_OBJECTHEADERNode` | `setNumberunit(java.lang.String value)`
    `UI5M_OBJECTHEADERNode` | `setReference(java.lang.String value)`
    `UI5M_OBJECTHEADERNode` | `setRendered(boolean value)`
    `UI5M_OBJECTHEADERNode` | `setRendered(java.lang.String value)`
    `UI5M_OBJECTHEADERNode` | `setResponsive(boolean value)`
    `UI5M_OBJECTHEADERNode` | `setResponsive(java.lang.String value)`
    `UI5M_OBJECTHEADERNode` | `setShowmarkers(boolean value)`
    `UI5M_OBJECTHEADERNode` | `setShowmarkers(java.lang.String value)`
    `UI5M_OBJECTHEADERNode` | `setShowtitleselector(boolean value)`
    `UI5M_OBJECTHEADERNode` | `setShowtitleselector(java.lang.String value)`
    `UI5M_OBJECTHEADERNode` | `setStyleseq(java.lang.String value)`
    `UI5M_OBJECTHEADERNode` | `setStylevariant(java.lang.String value)`
    `UI5M_OBJECTHEADERNode` | `setTitle(java.lang.String value)`
    `UI5M_OBJECTHEADERNode` | `setTitleactive(boolean value)`
    `UI5M_OBJECTHEADERNode` | `setTitleactive(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UI5M_OBJECTHEADERNode

          public UI5M_OBJECTHEADERNode()

  - ### Method Detail

    - #### setId

          public UI5M_OBJECTHEADERNode setId(java.lang.String value)

    - #### setActionListener

          public UI5M_OBJECTHEADERNode setActionListener(java.lang.String value)

    - #### bindActionListener

          public UI5M_OBJECTHEADERNode bindActionListener(IActionListenerDelegation value)

    - #### setAdapterbinding

          public UI5M_OBJECTHEADERNode setAdapterbinding(java.lang.String value)

    - #### bindAdapterbinding

          public UI5M_OBJECTHEADERNode bindAdapterbinding(IDynamicContentBindingObject value)

    - #### setAttributemacro

          public UI5M_OBJECTHEADERNode setAttributemacro(java.lang.String value)

    - #### setBackgrounddesign

          public UI5M_OBJECTHEADERNode setBackgrounddesign(java.lang.String value)

    - #### bindBackgrounddesign

          public UI5M_OBJECTHEADERNode bindBackgrounddesign(IDynamicContentBindingObject value)

    - #### setComment

          public UI5M_OBJECTHEADERNode setComment(java.lang.String value)

    - #### bindComment

          public UI5M_OBJECTHEADERNode bindComment(IDynamicContentBindingObject value)

    - #### setCondensed

          public UI5M_OBJECTHEADERNode setCondensed(java.lang.String value)

    - #### bindCondensed

          public UI5M_OBJECTHEADERNode bindCondensed(IDynamicContentBindingObject value)

    - #### setCondensed

          public UI5M_OBJECTHEADERNode setCondensed(boolean value)

    - #### setConfiginfo

          public UI5M_OBJECTHEADERNode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public UI5M_OBJECTHEADERNode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setIcon

          public UI5M_OBJECTHEADERNode setIcon(java.lang.String value)

    - #### bindIcon

          public UI5M_OBJECTHEADERNode bindIcon(IDynamicContentBindingObject value)

    - #### setIconactive

          public UI5M_OBJECTHEADERNode setIconactive(java.lang.String value)

    - #### bindIconactive

          public UI5M_OBJECTHEADERNode bindIconactive(IDynamicContentBindingObject value)

    - #### setIconactive

          public UI5M_OBJECTHEADERNode setIconactive(boolean value)

    - #### setIcondensityaware

          public UI5M_OBJECTHEADERNode setIcondensityaware(java.lang.String value)

    - #### bindIcondensityaware

          public UI5M_OBJECTHEADERNode bindIcondensityaware(IDynamicContentBindingObject value)

    - #### setIntro

          public UI5M_OBJECTHEADERNode setIntro(java.lang.String value)

    - #### bindIntro

          public UI5M_OBJECTHEADERNode bindIntro(IDynamicContentBindingObject value)

    - #### setIntroactive

          public UI5M_OBJECTHEADERNode setIntroactive(java.lang.String value)

    - #### bindIntroactive

          public UI5M_OBJECTHEADERNode bindIntroactive(IDynamicContentBindingObject value)

    - #### setIntroactive

          public UI5M_OBJECTHEADERNode setIntroactive(boolean value)

    - #### setLayoutdata

          public UI5M_OBJECTHEADERNode setLayoutdata(java.lang.String value)

    - #### bindLayoutdata

          public UI5M_OBJECTHEADERNode bindLayoutdata(IDynamicContentBindingObject value)

    - #### setMarkfavorite

          public UI5M_OBJECTHEADERNode setMarkfavorite(java.lang.String value)

    - #### bindMarkfavorite

          public UI5M_OBJECTHEADERNode bindMarkfavorite(IDynamicContentBindingObject value)

    - #### setMarkfavorite

          public UI5M_OBJECTHEADERNode setMarkfavorite(boolean value)

    - #### setMarkflagged

          public UI5M_OBJECTHEADERNode setMarkflagged(java.lang.String value)

    - #### bindMarkflagged

          public UI5M_OBJECTHEADERNode bindMarkflagged(IDynamicContentBindingObject value)

    - #### setMarkflagged

          public UI5M_OBJECTHEADERNode setMarkflagged(boolean value)

    - #### setNumber

          public UI5M_OBJECTHEADERNode setNumber(java.lang.String value)

    - #### bindNumber

          public UI5M_OBJECTHEADERNode bindNumber(IDynamicContentBindingObject value)

    - #### setNumberstate

          public UI5M_OBJECTHEADERNode setNumberstate(java.lang.String value)

    - #### bindNumberstate

          public UI5M_OBJECTHEADERNode bindNumberstate(IDynamicContentBindingObject value)

    - #### setNumberunit

          public UI5M_OBJECTHEADERNode setNumberunit(java.lang.String value)

    - #### bindNumberunit

          public UI5M_OBJECTHEADERNode bindNumberunit(IDynamicContentBindingObject value)

    - #### setReference

          public UI5M_OBJECTHEADERNode setReference(java.lang.String value)

    - #### setRendered

          public UI5M_OBJECTHEADERNode setRendered(java.lang.String value)

    - #### bindRendered

          public UI5M_OBJECTHEADERNode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public UI5M_OBJECTHEADERNode setRendered(boolean value)

    - #### setResponsive

          public UI5M_OBJECTHEADERNode setResponsive(java.lang.String value)

    - #### bindResponsive

          public UI5M_OBJECTHEADERNode bindResponsive(IDynamicContentBindingObject value)

    - #### setResponsive

          public UI5M_OBJECTHEADERNode setResponsive(boolean value)

    - #### setShowmarkers

          public UI5M_OBJECTHEADERNode setShowmarkers(java.lang.String value)

    - #### bindShowmarkers

          public UI5M_OBJECTHEADERNode bindShowmarkers(IDynamicContentBindingObject value)

    - #### setShowmarkers

          public UI5M_OBJECTHEADERNode setShowmarkers(boolean value)

    - #### setShowtitleselector

          public UI5M_OBJECTHEADERNode setShowtitleselector(java.lang.String value)

    - #### bindShowtitleselector

          public UI5M_OBJECTHEADERNode bindShowtitleselector(IDynamicContentBindingObject value)

    - #### setShowtitleselector

          public UI5M_OBJECTHEADERNode setShowtitleselector(boolean value)

    - #### setStyleseq

          public UI5M_OBJECTHEADERNode setStyleseq(java.lang.String value)

    - #### bindStyleseq

          public UI5M_OBJECTHEADERNode bindStyleseq(IDynamicContentBindingObject value)

    - #### setStylevariant

          public UI5M_OBJECTHEADERNode setStylevariant(java.lang.String value)

    - #### bindStylevariant

          public UI5M_OBJECTHEADERNode bindStylevariant(IDynamicContentBindingObject value)

    - #### setTitle

          public UI5M_OBJECTHEADERNode setTitle(java.lang.String value)

    - #### bindTitle

          public UI5M_OBJECTHEADERNode bindTitle(IDynamicContentBindingObject value)

    - #### setTitleactive

          public UI5M_OBJECTHEADERNode setTitleactive(java.lang.String value)

    - #### bindTitleactive

          public UI5M_OBJECTHEADERNode bindTitleactive(IDynamicContentBindingObject value)

    - #### setTitleactive

          public UI5M_OBJECTHEADERNode setTitleactive(boolean value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.